petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetCoordinateName

Sets the name of the coordinate directions associated with a DMDA, for example "x" or "y"

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetCoordinateName(DM dm,PetscInt nf,const char name[])

Not Collective Many br

### Input Parameters

| dm | - the DM Many br
| nf | - coordinate number for the DMDA (0, 1, ... dim-1), Many br
| name | - the name of the coordinate Many br

Many br

### Keywords

distributed array, get, component name

### See Also

DMDAGetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages